<template>
  <v-app>
    <v-app-bar fixed app color="white" elevation="0" class="pt-4">
      <!--Manin bar-->
      <v-container class="d-flex justify-space-between px-0">
        <v-app-bar-nav-icon @click.stop="drawer = !drawer"/>
        <v-sheet max-width="125" color="transparent">
          <ta-months :key="calendarType" :type="calendarType.toString()"></ta-months>
        </v-sheet>
        <ta-search></ta-search>
      </v-container>
      <!--/Main bar-->
    </v-app-bar>
    <v-main>
      <v-container>
        <Nuxt/>
      </v-container>
    </v-main>
    <v-navigation-drawer v-model="drawer" temporary fixed :right="navigationRight">
      <v-list
        dense
        nav
      >
        <v-list-item
          v-for="locale in availableLocales"
          :key="locale.code"
          @click="changeLanguage(locale)"
        >
          <v-list-item-icon>
            <v-icon>mdi-web-box</v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title>{{ $t(locale.name) }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-footer app></v-footer>
  </v-app>
</template>

<script>
import TaMonths from "~/components/TaMonths";
import TaSearch from "~/components/TaSearch";

export default {
  name: 'DefaultLayout',
  components: {TaSearch, TaMonths},
  data() {
    const RTL = this.$i18n.localeProperties.dir === "rtl"
    return {
      navigationRight: RTL,
      drawer: false,
      title: 'TaskApp',
    }
  },
  computed: {
    availableLocales() {
      return this.$i18n.locales.filter(i => i.code !== this.$i18n.locale)
    },
    calendarType() {
      return this.$i18n.localeProperties.time
    }
  },
  beforeCreate() {
    this.$vuetify.rtl = this.$i18n.localeProperties.dir === "rtl"
  },
  methods: {
    changeLanguage(locale) {
      const RTL = locale.dir === "rtl"
      this.$vuetify.rtl = RTL
      this.navigationRight = RTL
      this.$router.push(this.localeLocation('/', locale.code))
    },
  }
}
</script>
